### Method

# Meta Selection transfer_async

#### Declaration [src]

    void
    meta_selection_transfer_async (
      MetaSelection* selection,
      MetaSelectionType selection_type,
      const gchar* mimetype,
      gssize size,
      GOutputStream* output,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Requests a transfer of `mimetype` on the selection given by `selection_type`.

This method completes asynchronously. Use `meta_selection_transfer_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`selection_type`

  Type: `MetaSelectionType`

  Selection type.

`mimetype`

  Type: `const gchar*`

  Mimetype to transfer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gssize`

  Maximum size to transfer, -1 for unlimited.

`output`

  Type: `GOutputStream`

  Output stream to write contents to.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User callback.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.